function [result, img_lap] = laplacebetter(img)

    lap = ones([3,3]);
    lap(2,2) = -8;

    img_blur = imfilter(img, fspecial("average"));

    img_lap = imfilter(img_blur, lap);
    
    result = img - img_lap;

end

